﻿// -----------------------------------------------------------------------
// <copyright file="ResumeRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	/// <summary>
	/// Represents the details of an HTTP request from a resume subscription.
	/// </summary>
	public class ResumeRequest : BaseRequest
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="ResumeRequest"/> class.
		/// </summary>
		public ResumeRequest()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="ResumeRequest"/> class.
		/// </summary>
		/// <param name="pushApplicationId">The push application id.</param>
		/// <param name="subscriberId">The subscriber id.</param>
		public ResumeRequest(string pushApplicationId, string subscriberId)
			: base(pushApplicationId, subscriberId)
		{
		}
	}
}
