﻿// -----------------------------------------------------------------------
// <copyright file="SubscribeRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	/// <summary>
	/// Represents the details of an HTTP request from a subscribe.
	/// </summary>
	public class SubscribeRequest : BaseRequest
	{
		/// <summary>
		/// Gets or sets the address.
		/// </summary>
		/// <value>The address.</value>
		public string Address
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the model.
		/// </summary>
		/// <value>The model.</value>
		public string Model
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the os version.
		/// </summary>
		/// <value>The os version.</value>
		public string OsVersion
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the type.
		/// </summary>
		/// <value>The type.</value>
		public SubscriberType? Type
		{
			get;
			set;
		}
	}
}
