﻿// -----------------------------------------------------------------------
// <copyright file="IBoundaryGenerator.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Common
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// Generates a boundary for use in MIME multipart messages to separate
	/// the pieces of content.
	/// </summary>
	public interface IBoundaryGenerator
	{
		/// <summary>
		/// Returns a new MIME boundary string.
		/// </summary>
		/// <returns>
		/// A MIME boundary string 12 characters long.
		/// </returns>
		string MakeBoundary();
	}
}
