﻿// -----------------------------------------------------------------------
// <copyright file="PushNotificationRouteHandler.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Pap.Web
{
	using System.Web;
	using System.Web.Routing;

	/// <summary>
	/// Implements an MVC route handler for processing push notifications.
	/// </summary>
	public class PushNotificationRouteHandler : IRouteHandler
	{
		#region IRouteHandler Members
		/// <summary>
		/// Provides the object that processes the request.
		/// </summary>
		/// <param name="requestContext">
		/// An object that encapsulates information about the request.
		/// </param>
		/// <returns>
		/// An object that processes the request.
		/// </returns>
		public IHttpHandler GetHttpHandler(RequestContext requestContext)
		{
			return new PushNotificationHandler();
		}
		#endregion
	}
}
