﻿// -----------------------------------------------------------------------
// <copyright file="PushApplicationType.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push.AppManagement
{
	/// <summary>
	/// Defines the types of applications that can be pushed to.
	/// </summary>
	public enum PushApplicationType
	{
		/// <summary>
		/// An enterprise (BES) type of push application
		/// </summary>
		EnterprisePush = 0,

		/// <summary>
		/// A public (BIS) and enterprise (BES) type of push application.
		/// </summary>
		PublicEnterprisePush = 1,

		/// <summary>
		/// A public (BIS) type of push application.
		/// </summary>
		PublicPush = 2
	}
}
