﻿// -----------------------------------------------------------------------
// <copyright file="InvalidRequestErrorCode.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push.Request
{
	/// <summary>
	/// Push request error codes.
	/// </summary>
	public enum InvalidRequestErrorCode
	{
		/// <summary>
		/// Message indicating that a push request could not be found.
		/// </summary>
		DoesNotExist = 0,

		/// <summary>
		/// Message indicating that a push request with the given id already
		/// exists.
		/// </summary>
		AlreadyExists = 1,
	}
}
