﻿// -----------------------------------------------------------------------
// <copyright file="OsVersionCount.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Count
{
	/// <summary>
	/// Represents the count of subscribers using a BlackBerry device running a
	/// particular version of the Operating System.
	/// </summary>
	public class OsVersionCount : CountBase
	{
		/// <summary>
		/// Gets or sets the os version.
		/// </summary>
		/// <value>The os version.</value>
		public string OsVersion
		{
			get;
			set;
		}
	}
}
