﻿// -----------------------------------------------------------------------
// <copyright file="SubscriberStatus.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription
{
	/// <summary>
	/// The status of a subscriber.
	/// </summary>
	public enum SubscriberStatus
	{
		/// <summary>
		/// An active subscription.
		/// </summary>
		Active = 0,

		/// <summary>
		/// A suspended subscription.
		/// </summary>
		Suspended = 1,

		/// <summary>
		/// An inactive (unsubscribed) subscription.
		/// </summary>
		Inactive = 2,
	}
}
