﻿// -----------------------------------------------------------------------
// <copyright file="ISubscriptionService.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription
{
	/// <summary>
	/// The subscription operations available to a user.
	/// </summary>
	public enum SubscriptionType
	{
		/// <summary>
		/// A subscribe operation.
		/// </summary>
		Subscribe = 0,

		/// <summary>
		/// A suspend subscription operation.
		/// </summary>
		Suspend = 1,

		/// <summary>
		/// A resume subscription operation.
		/// </summary>
		Resume = 2,

		/// <summary>
		/// An unsubscribe operation.
		/// </summary>
		Unsubscribe = 3
	}
}
