﻿// -----------------------------------------------------------------------
// <copyright file="PushIdAndApplicationId.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push
{
	/// <summary>
	/// Wrapper class for a push id and an application id.
	/// </summary>
	public class PushIdAndApplicationId
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="PushIdAndApplicationId"/> class.
		/// </summary>
		/// <param name="pushId">The push id.</param>
		/// <param name="applicationId">The application id.</param>
		public PushIdAndApplicationId(string pushId, string applicationId)
		{
			PushId = pushId;
			ApplicationId = applicationId;
		}

		/// <summary>
		/// Gets or sets the push id.
		/// </summary>
		/// <value>The push id.</value>
		public string PushId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the application id.
		/// </summary>
		/// <value>The application id.</value>
		public string ApplicationId
		{
			get;
			set;
		}
	}
}
