﻿// -----------------------------------------------------------------------
// <copyright file="DeviceModelCount.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Count
{
	/// <summary>
	/// Represents the count of subscribers using a particular BlackBerry
	/// device model.
	/// </summary>
	public class DeviceModelCount : CountBase
	{
		/// <summary>
		/// Gets or sets the model.
		/// </summary>
		/// <value>The model.</value>
		public string Model
		{
			get;
			set;
		}
	}
}
