﻿// -----------------------------------------------------------------------
// <copyright file="UnsubscribeRouteHandler.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	using System.Web;
	using System.Web.Routing;

	/// <summary>
	/// Responsible for routing unsubscribe operations to the handler.
	/// </summary>
	public class UnsubscribeRouteHandler : IRouteHandler
	{
		#region IRouteHandler Members

		/// <summary>
		/// Provides the object that processes the request.
		/// </summary>
		/// <param name="requestContext">
		/// An object that encapsulates information about the request.
		/// </param>
		/// <returns>An object that processes the request.</returns>
		public IHttpHandler GetHttpHandler(RequestContext requestContext)
		{
			return new UnsubscribeHandler();
		}

		#endregion
	}
}
