﻿// -----------------------------------------------------------------------
// <copyright file="PapMessage.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Pap.Parser
{
	using System.Xml.Serialization;

	/// <summary>
	/// Base class for PAP messages used by the parser.
	/// </summary>
	public class PapMessage
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="PapMessage"/> class.
		/// </summary>
		public PapMessage()
		{
		}

		/// <summary>
		/// Gets or sets the push id.
		/// </summary>
		/// <value>The push id.</value>
		[XmlAttribute(AttributeName = "push-id")]
		public string PushId
		{
			get;
			set;
		}
	}
}
