﻿// -----------------------------------------------------------------------
// <copyright file="INotificationProcessorService.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Acknowledgement
{
	/// <summary>
	/// Business logic relating to the processing of result notifications (acknowledgements). 
	/// </summary>
	public interface INotificationProcessorService
	{
		/// <summary>
		/// Add a notification to the queue of notifications waiting to be
		/// processed.
		/// </summary>
		/// <param name="notification">The notification.</param>
		void AddNotification(Notification notification);
	}
}
