﻿namespace Zen.BlackBerry.Web
{
	// Note: For instructions on enabling IIS6 or IIS7 classic mode, 
	// visit http://go.microsoft.com/?LinkId=9394801

	public class MvcApplication : System.Web.HttpApplication
	{
		protected void Application_Start()
		{
			WebBootstrapper bootstrapper = new WebBootstrapper();

			// The PushId Domain Name is used to provide a namespace scope
			//	to the PushIds that are given to the RIM PPG to avoid name
			//	collisions with other applications.
			bootstrapper.PushIdDomainName = "YourDomain.com";

			// If you are hosting a site for Push Plus application(s) then
			//	set this to true to add routing for acknowledgement HTTP
			//	requests through to the SDK.
			bootstrapper.UseAcknowledgements = false;

			// Run the bootstrapper actions.
			bootstrapper.Run();
		}
	}
}